KSynaptics

System Software

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

1
5.0
Available as/for: -
Description:

KSynaptics is a control center module that enables users to take full advantage of their mobiles' synaptics touch pad. It depends on the XFree's synaptics driver and offers the following features:
*adjustable pressure sensitivity
*tapping configuration / smart tapping
*mouse button emulation
*circular scrolling
*smart mode

Check it out, if you prefer Qt, there's also an Qt-based version available.
Last changelog:

13 years ago

DEVELOPMENT STOPPED - READ http://qsynaptics.sourceforge.net/
You can use touchfreeze instead...


NEW: ksynaptics 0.3.3
* new mouse button icons
* syndock would run in smart mode even if disabled in ksynaptics

NEW: libsynaptics 0.14.6c and ksynaptics 0.3.2
libynaptics has been rewritten and breaks backwards-compatibility (API and ABI).
Now the nasty syndock crash on KDE logouts should be addressed.
Please install libsynaptics prior to ksynaptics, I really do hope there's enough time left that feisty will get official debs in their repos :)

NEW: proposal for a new UI design which will be introduced by the next Qt4-based qsynaptics release.
Please drop me some comments on how to
change/improve it.
And yes, I really could use some helping hands there :)
(Note that you need to compile it with Qt4 and libsynaptics, though no functionality is implemented yet!)

* libsynaptics 0.14.6b fixes an autotool related compiler problem, please use it instead of 0.14.6a

NEW: libsynaptics 0.14.6a
* supports latest synaptics driver

NEW: libsynaptics 0.14.5a (debug)
* supports latest synaptics driver

NEW: ksynaptics-0.3.1 & libsynaptics 0.14.4d

fixing use cases when
*no driver is installed
*wrong driver version is installed
*no shm access possible
fixing message boxes
disabling menu items in syndock if pad is not accessible
disabling menu items in kcm when pad is not accessible / switched off
adapted to upcoming libsynaptics 0.14.4d
fixing a compilation issue with XOrg in libsynaptics


NEW: ksynaptics-0.3.0

*smart mode has been rewritten
*kcm and syndock depend on libsynaptics
*many bugfixes
*special thanks to mETz (Stefan Gehn) for working on syndock!
*code cleanups / bugfixes

NEW: ksynaptics-0.2.4

2005-28-10
*added german translation to ksynaptics.desktop
*added syndock.desktop for autostart on login (which is the recommended way to do it!)
*improved german translation

2005-06-11
*adapted to latest driver release ( 0.14.4 )

2005-19-12
*adapted to new libtool version
*added a warning text to the "general" tab page

This is a maintenance release without new features for those who want to use the latest (0.14.4) driver version.
If you use 0.14.3 you have to keep to ksynaptics version 0.2.3!

LIBSYNAPTICS

libsynaptics is an effort to eliminate version related problems in ksynaptics by providing upwards compatibility above new Xorg touch pad driver releases. This version of the library supports the latest driver version (0.14.4) only and will be updated on each driver release.
This release is done for experienced users and developers only, this is no new ksynaptics release (although the new, soon-coming ksynaptics release will depend on it!).
I encourage people having the latest driver version installed to download and test this version, and send me some feedback, for ensuring a less-buggy 0.3.0 release :)

Coming soon to a mirror next to you:
ksynaptics 0.3.0

mrmowgli

14 years ago

I'm running Gentoo 2006.1 and getting this same exact issue, ever since I upgraded xorg to modular xorg. Anyone have an idea why this ould happen?

Report

Elv1313

14 years ago

Do this new version support 2 finger scrolling for alps touchpad (feature added in 0.14.5)?

Report

C

katakombi

14 years ago

rollback!

I worked it out, will become a choice in the "scrolling" tab in the next ksynaptics version.

Report

C

katakombi

14 years ago

I fear, it doesn't!
I saw the parameters introduced already, but not mentioned as feature in the release notes.
I didn't work for me, so I am sure it is yet to come :)

Report

wu-hsin

15 years ago

Also, I'd be glad to know the compile-time dependencies of both ksynaptics and libsynaptics. They use gpp, right? What else is needed?

Report

C

katakombi

15 years ago

you'll need:

for libsynaptics:
*synaptics touch pad driver
*g++

for ksynaptics:
*libsynaptics
*qt-x11-dev (due to kde)
*kdelibs4-dev


my apt-cache tells:

Depends: kdelibs4c2 (>= 4:3.4.1), libart-2.0-2 (>= 2.3.16), libaudio2, libc6 (>= 2.3.4-1), libfontconfig1 (>= 2.3.0), libfreetype6 (>= 2.1.5-1), libgcc1 (>= 1:4.0.0-7), libice6, libidn11 (>= 0.5.13), libpng12-0 (>= 1.2.8rel), libqt3-mt (>= 3:3.3.4), libsm6, libstdc++6 (>= 4.0.0-7), libx11-6 | xlibs (>> 4.1.0), libxcursor1 (>> 1.1.2), libxext6 | xlibs (>> 4.1.0), libxft2 (>> 2.1.1), libxinerama1, libxrandr2 | xlibs (>> 4.3.0), libxrender1, libxt6 | xlibs (>> 4.1.0), zlib1g (>= 1:1.2.1)

hope that helps,
katakombi >8^)

Report

wu-hsin

15 years ago

Thanks a lot. I added the spell, now SMGL users can install ksynaptics without a hassle.

This is a wonderful program, it restored missing "scroll pad" functionality to my laptop. keep up the good work! :)

Report

wu-hsin

15 years ago

Can you tell me what the exact dependencies of Ksynaptics are? (I mean the actual source packages that it depends on.)
I guess kdelibs is one, but does Ksynaptics also require kdebase? And what about qt-x11?

I need this information because I'm writing a spell for Ksynaptics. Spells are Source Mage GNU/Linux's scripts that install and track packages. SMGL is a source-based Linux distro.

Thanks!

Report

danone

15 years ago

Hi,
I really like your app. But make fails in linking it - it seems to be unable to find any component it wants to link... Any idea?
danone

Report

C

katakombi

15 years ago

Please redownload the tar balls and try again!

Report

C

katakombi

15 years ago

I remember having the same problem once.
If the linker cannot find any symbol its most probably due to an wrong libtool version!

Report

C

katakombi

15 years ago

please paste the complete compiler output or mail it to me
(katakombi@web.de)

Report

bushwakko

15 years ago

is this project dead? if not it badly needs an update. stuff like tapping just stopped working for me here earlier, all tapping became middle mouse :/ so I had to remove it. It would also be great to implement apple type, two-finger scrolling and stuff, because it was a great app!!

Report

C

katakombi

15 years ago

Not dead yet. I had got no time for a while...

Report

bushwakko

15 years ago

would be great if this could be added to kde cvs, since it's a very important app that needs to be in kde! Also it just needs a few maintenence updates, tapping stopped working for me earlier, so I had to uninstall it. Have you filed a bug for it not being in kde? also it should definantly be in gentoo! Have you tried to file a bug for maintainer there?

Report

C

katakombi

15 years ago

What do you mean by "apple-type two finger scrolling"?

Report

bushwakko

15 years ago

if you use two-fingers on the pad it is in scrollmode, and you can scroll left and right and a combination. see? very clever function

Report

C

katakombi

15 years ago

file that feature request to the maintainer of the synaptics touch pad driver. Such functionality should be part of the driver :)

Report

bushwakko

15 years ago

is it in kde-cvs yet?

Report

C

katakombi

15 years ago

in svn, yes! it's in kderewiew/ksynaptics...

Report

bushwakko

15 years ago

does this mean it is about to go into kde soon, or could it be there for ages ? :/

Report

C

katakombi

15 years ago

to get it into KDE it's needed * to have working i18n (broken somehow) * some testing (lowering the bug count) * a KDE not yet in feature freeze The latter applies to KDE4 where it hopefully will get included.

Report

9bmorgan

15 years ago

I just started using Linux this weekend. So, I'm new at this.

I'm using Suse 9.2 and when i run sh./configure I get an error about X inlcude. I see some in /usr/X11/include/X11/Xaw3d it seems to be looking for X11/intristic.h or something. Can't find that anywhere.

actual error:
checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!

I tried make and got:
make: *** No targets specified and no makefile found. Stop.

thanks
b.

Report

evildrake

15 years ago

When you are compiling anything, you need the development files as well as the libraries. You can install them with yast and should be called xorg-devel or something similar.

Report

C

katakombi

16 years ago

Hi dear users,

I'd like to collect some suggestions on how I could improve the look of the touch pad widget which is used to visualize the edges/corners and is used in the wizard.
I think it must not be a drawing.
If anybody finds graphical stuff that would fit, or is a gifted designer and has an idea, please let me know.
(katakombi@web.de)
Stefam K. >8^)

Report

13 years ago

DEVELOPMENT STOPPED - READ http://qsynaptics.sourceforge.net/
You can use touchfreeze instead...


NEW: ksynaptics 0.3.3
* new mouse button icons
* syndock would run in smart mode even if disabled in ksynaptics

NEW: libsynaptics 0.14.6c and ksynaptics 0.3.2
libynaptics has been rewritten and breaks backwards-compatibility (API and ABI).
Now the nasty syndock crash on KDE logouts should be addressed.
Please install libsynaptics prior to ksynaptics, I really do hope there's enough time left that feisty will get official debs in their repos :)

NEW: proposal for a new UI design which will be introduced by the next Qt4-based qsynaptics release.
Please drop me some comments on how to
change/improve it.
And yes, I really could use some helping hands there :)
(Note that you need to compile it with Qt4 and libsynaptics, though no functionality is implemented yet!)

* libsynaptics 0.14.6b fixes an autotool related compiler problem, please use it instead of 0.14.6a

NEW: libsynaptics 0.14.6a
* supports latest synaptics driver

NEW: libsynaptics 0.14.5a (debug)
* supports latest synaptics driver

NEW: ksynaptics-0.3.1 & libsynaptics 0.14.4d

fixing use cases when
*no driver is installed
*wrong driver version is installed
*no shm access possible
fixing message boxes
disabling menu items in syndock if pad is not accessible
disabling menu items in kcm when pad is not accessible / switched off
adapted to upcoming libsynaptics 0.14.4d
fixing a compilation issue with XOrg in libsynaptics


NEW: ksynaptics-0.3.0

*smart mode has been rewritten
*kcm and syndock depend on libsynaptics
*many bugfixes
*special thanks to mETz (Stefan Gehn) for working on syndock!
*code cleanups / bugfixes

NEW: ksynaptics-0.2.4

2005-28-10
*added german translation to ksynaptics.desktop
*added syndock.desktop for autostart on login (which is the recommended way to do it!)
*improved german translation

2005-06-11
*adapted to latest driver release ( 0.14.4 )

2005-19-12
*adapted to new libtool version
*added a warning text to the "general" tab page

This is a maintenance release without new features for those who want to use the latest (0.14.4) driver version.
If you use 0.14.3 you have to keep to ksynaptics version 0.2.3!

LIBSYNAPTICS

libsynaptics is an effort to eliminate version related problems in ksynaptics by providing upwards compatibility above new Xorg touch pad driver releases. This version of the library supports the latest driver version (0.14.4) only and will be updated on each driver release.
This release is done for experienced users and developers only, this is no new ksynaptics release (although the new, soon-coming ksynaptics release will depend on it!).
I encourage people having the latest driver version installed to download and test this version, and send me some feedback, for ensuring a less-buggy 0.3.0 release :)

Coming soon to a mirror next to you:
ksynaptics 0.3.0

12345678910
Be the first to comment
Lustmored
Apr 07 2010
File (click to download) Version Description PackagetypeArchitectureRelease ChannelDevices Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
discontinued
updated Jan 12 2008
added Oct 23 2004
downloads 24h
0
mediaviews 24h 0
pageviews 24h 8
System Tags app software